SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: spec-member
  uid: root
- role: spec-refinement
  spec-key: interface-type
  spec-value: header-file
  uid: interface
spec-description: null
spec-example: null
spec-info:
  dict:
    attributes:
      brief:
        description: null
        spec-type: interface-brief
      path:
        description: |
          It shall be the path used to include the header file.  For example
          :file:`rtems/confdefs.h`.
        spec-type: str
      prefix:
        description: |
          It shall be the prefix directory path to the header file in the
          interface domain.  For example :file:`cpukit/include`.
        spec-type: str
    description: |
      This set of attributes specifies a header file.  The item shall have
      exactly one link with the ${interface-placement:/spec-name} to an
      ${interface-domain:/spec-name} item.  This link defines the interface
      domain of the header file.
    mandatory-attributes: all
spec-name: Interface Header File Item Type
spec-type: interface-header-file
type: spec
